import z from 'zod';
import { EntityReferenceContainerSchema } from './entity-reference-container.schema';

export const EntityReferenceSchema = z.object({
  pId: z.string().describe('P identifier').optional(),
  reference: EntityReferenceContainerSchema.describe('Reference').optional(),
  source: z.number().describe('Source').optional(),
});
